API ReferencePublisher Agents

Create an agent

POST
/v1/publisher/agents

Creates an agent and draft in the current Workspace.

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Header Parameters

Idempotency-Key?string

Prevents duplicate work and charges when a request is retried. Reusing a key with a different request returns 409 idempotency_conflict.

Length8 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/publisher/agents" \  -H "Idempotency-Key: 01JXYZ1234567890ABCDEF" \  -H "Content-Type: application/json" \  -d '{    "name": "Weather Market Forecaster",    "slug": "weather-market-forecaster",    "description": "Compares weather forecasts and prediction-market prices."  }'
{  "id": "agent_01JXYZ1234567890",  "object": "publisher.agent",  "namespace": "northstar",  "slug": "weather-market-forecaster",  "name": "Weather Market Forecaster",  "description": "Compares weather forecasts and prediction-market prices.",  "draft_revision": 12,  "private_deployment": {    "id": "dep_01JXYZPRIVATE01",    "version_id": "aver_01JXYZVERSION01",    "visibility": "private",    "status": "active",    "created_at": "2026-08-30T14:00:00Z",    "activated_at": "2026-08-30T14:00:00Z"  },  "public_deployment": null,  "public_submission": {    "id": "dep_01JXYZPUBLIC001",    "version_id": "aver_01JXYZVERSION02",    "visibility": "public",    "status": "in_review",    "created_at": "2026-08-30T15:00:00Z",    "activated_at": null  },  "created_at": "2026-08-30T13:00:00Z",  "updated_at": "2026-08-30T15:00:00Z"}